# Class Thelia\Core\Thelia | thelia

# Class Thelia

  Symfony\Component\HttpKernel\Kernel
  Thelia\Core\Thelia

Namespace: Thelia\Core
Located at core/lib/Thelia/Core/Thelia.php

Methods summary
`public` | # `init( )`
`protected` | # `initPropel( )`
`public` | # `loadConfiguration( )` Load some configuration Initialize all plugins
`public` | # `boot( )` boot parent kernel and after current kernel

`public string`

# `getCacheDir( )`

Gets the cache directory.

Gets the cache directory.

#### Returns

`string`
The cache directory

#### Api

`public string`

# `getLogDir( )`

Gets the log directory.

Gets the log directory.

#### Returns

`string`
The log directory

#### Api

`public array`

# `registerBundles( )`

return available bundle

return available bundle

Part of Symfony\Component\HttpKernel\KernelInterface

#### Returns

`array`
An array of bundle instances.

`public`

# `registerContainerConfiguration( Symfony\Component\Config\Loader\LoaderInterface $loader )`

Loads the container configuration

Loads the container configuration

part of Symfony\Component\HttpKernel\KernelInterface

#### Parameters

$loader
  `Symfony\Component\Config\Loader\LoaderInterface`
  $loader A LoaderInterface instance

#### Api